Subject: bug#68002: 30.0.50; checkdoc.el: False positive when a quote variable contains "C-g" in its name

From: Ihor Radchenko <[email-masked]>
Date: Sun, 24 Dec 2023 10:39:09 +0000

Hi,

I have the following docstring:

(defvar org-element--cache-interrupt-C-g-count 0
  "Current number of `org-element--cache-sync' calls.
See `org-element--cache-interrupt-C-g'.")

When I run M-x checkdoc, I am getting

   Keycode C-g embedded in doc string.  Use \\<mapvar> & \\[command] instead

Which is clearly false-positive.

May this be fixed?

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.18.0) of 2023-12-21 built on localhost
Repository revision: 6161f72efbf6625f60bf7f7d28d6c39a26e94a51
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101009
System Description: Gentoo Linux

Configured using:
 'configure --with-native-compilation'

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>